<div id="storeSeller">
  <ListProductAdmin
    v-if="listProductAdmin"
    :listProductAdmin.sync="listProductAdmin"
    :onDialog.sync="onDialog"
    @closeDialog="onGetStoreList"
  />
  <div id="hideBottomInput" class="py-2">
    <div class="lg:flex items-center justify-between">
      <div class="flex justify-between items-center">
        <h1 class="lb:mb-0 font-semibold text-base sm:text-lg">
          Stores Management
        </h1>
        <button
          @click="openCreateStoreDialog()"
          class="md:px-3 mt-2 md:!hidden w-8 h-8 rounded-lg bg-[#1976d2]"
        >
          <v-icon small color="white" class="">mdi-storefront-plus</v-icon>
        </button>
      </div>
      <div
        class="sm:flex items-center justify-end md:text-left text-right md:mt-0 mt-2"
      >
        <div class="flex items-center">
          <div class="mr-1">
            <v-select
              dense
              outlined
              class="sm:w-[128px] w-[100px] bg-white"
              append-icon="mdi-chevron-down"
              :menu-props="{ bottom: true, offsetY: true }"
              placeholder="Order Status"
              hide-details
              :items="listStatus"
              item-text="name"
              item-value="value"
              v-model="config.status"
              @change="onGetStoreList"
            >
              <template v-slot:item="status">
                <template>
                  <v-list-item-content>
                    <div class="d-flex">
                      <button
                        v-if="status.item.value === ''"
                        class="py-1 px-2 rounded-lg capitalize bg-blue-100"
                      >
                        <span class="contentBrand"> All </span>
                      </button>
                      <button
                        v-if="status.item.value === 'pending'"
                        style="background-color: #f6f1e6"
                        class="py-1 px-2 rounded-lg capitalize"
                      >
                        <span style="color: #a35f09"> Draft </span>
                      </button>
                      <button
                        v-if="status.item.value === 'active'"
                        style="background-color: #ecfdf3"
                        class="py-1 px-2 rounded-lg capitalize"
                      >
                        <span style="color: #4caf50"> Active </span>
                      </button>
                    </div>
                  </v-list-item-content>
                </template>
              </template>
            </v-select>
          </div>
          <v-text-field
            dense
            outlined
            placeholder="Search by domain name"
            style="max-width: 320px; width: 100%"
            prepend-inner-icon="mdi-magnify"
            class="md:mr-3 bg-white"
            v-model="config.search"
            v-debounce:800ms="onGetStoreList"
          >
          </v-text-field>
        </div>
        <v-btn
          @click="openCreateStoreDialog()"
          color="primary"
          class="text-none capitalize sm:px-3 px-2 ml-2 elevation-0 md:!flex !hidden"
        >
          <v-icon small class="sm:mr-2 mr-1">mdi-storefront-plus</v-icon>
          Create new Store
        </v-btn>
      </div>
    </div>
    <div class="bg-white !rounded-lg border border-gray-200 mt-4">
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTableStore"
      >
      </v-skeleton-loader>
      <template v-else>
        <v-simple-table v-if="storeList.length" show-select class="!rounded-lg">
          <template v-slot:default>
            <thead>
              <tr class="!bg-gray !rounded-t-xl">
                <th
                  v-for="(item,idx) in tableHeader"
                  :key="idx"
                  class="text-left"
                >
                  {{item.name}}
                </th>
              </tr>
            </thead>
            <tbody>
              <tr
                v-for="(item,index) in storeList"
                :key="index"
                class="py-2 cursor-pointer"
              >
                <td class="font-semibold">
                  <div class="flex items-center gap-2">
                    <div class="h-12 w-12 rounded-md">
                      <img
                        v-if="item.productSellerId.listImageId[0]"
                        :src="convertImage(item && item.productSellerId && item.productSellerId.listImageId && item.productSellerId.listImageId[0].imageUrl)"
                        alt=""
                        class="w-full h-full rounded-md"
                      />
                      <img
                        v-else
                        src="~/assets/images/no-product.png"
                        alt=""
                        class="w-full h-full rounded-md"
                      />
                    </div>
                    <div>
                      <p class="text-blue-500">{{item.storeName}}</p>
                      <div class="flex gap-2 mt-1">
                        <button
                          @click="goToViewDetailProduct(item._id)"
                          class="rounded-lg py-1 px-2 text-xs font-semibold leading-5 capitalize hover:shadow-lg hover:bg-white"
                          style="border: 1px solid #e5e7eb"
                        >
                          view
                        </button>
                        <button
                          @click="goToEditDetailProduct(item._id)"
                          class="rounded-lg py-1 px-2 text-xs font-semibold leading-5 capitalize hover:shadow-lg hover:bg-white"
                          style="border: 1px solid #e5e7eb"
                        >
                          edit
                        </button>
                        <button
                          @click="goToDuplicateDetailProduct(item._id)"
                          class="rounded-lg py-1 px-2 text-xs font-semibold leading-5 capitalize hover:shadow-lg hover:bg-white"
                          style="border: 1px solid #e5e7eb"
                        >
                          duplicate
                        </button>
                      </div>
                    </div>
                  </div>
                </td>
                <td>
                  <a
                    :href="`https://${item.domain}/`"
                    target="_blank"
                    class="text-black"
                  >
                    {{item.domain}}
                  </a>
                </td>
                <td>
                  <v-menu offset-y>
                    <template v-slot:activator="{ on, attrs }">
                      <v-btn
                        v-bind="attrs"
                        v-on="on"
                        class="rounded-xl elevation-0"
                        style="background-color: #f6f1e6"
                        v-if="item.status === 'pending'"
                      >
                        <div class="flex items-center">
                          <v-icon color="#FB8C00" size="14">
                            mdi-circle
                          </v-icon>
                          <span
                            class="ml-2 fsize-12 font-weight-medium text-none mx-2"
                            style="color: #a35f09"
                          >
                            Draft
                          </span>
                          <v-icon color="#7A8C96"> mdi-menu-down </v-icon>
                        </div>
                      </v-btn>
                      <v-btn
                        color="#ECFDF3"
                        v-bind="attrs"
                        v-on="on"
                        class="rounded-xl elevation-0"
                        v-if="item.status === 'active'"
                      >
                        <div class="flex items-center">
                          <v-icon color="#12B76A" size="18"> mdi-check </v-icon>
                          <span
                            class="ml-2 fsize-12 font-weight-medium text-none mx-2 text-green-500"
                          >
                            Active
                          </span>
                          <v-icon color="#7A8C96"> mdi-menu-down </v-icon>
                        </div>
                      </v-btn>
                      <!-- <v-btn color="#FEF3F2" v-bind="attrs" v-on="on" class="rounded-xl elevation-0"
                        v-if="item.status === 'close'">
                        <div class="flex items-center">
                          <v-icon color="#F04438" size="16">
                            mdi-close-octagon
                          </v-icon>
                          <span class="ml-2 fsize-12 font-weight-medium text-none mx-2 text-red-500 ">
                            Close
                          </span>
                          <v-icon color="#7A8C96"> mdi-menu-down </v-icon>
                        </div>
                      </v-btn> -->
                    </template>
                    <div class="pa-2 white">
                      <div class="py-2">
                        <v-btn
                          class="rounded-xl elevation-0"
                          block
                          @click="onChangeStatus(item, 'pending')"
                          style="background-color: #f6f1e6"
                          :disabled="item.status === 'close' || item.status === 'active'"
                        >
                          <div
                            class="flex items-center py-1 px-2 rounded-xl cursor-pointer"
                          >
                            <v-icon color="#FB8C00" size="14">
                              mdi-circle
                            </v-icon>
                            <span
                              class="ml-2 fsize-12 font-weight-medium"
                              style="color: #a35f09"
                            >
                              Draft
                            </span>
                          </div>
                        </v-btn>
                      </div>
                      <div class="py-2">
                        <v-btn
                          color="#ECFDF3"
                          class="rounded-xl elevation-0"
                          block
                          @click="onChangeStatus(item, 'active')"
                        >
                          <div
                            class="flex items-center py-1 px-2 rounded-xl cursor-pointer"
                          >
                            <v-icon color="#12B76A" size="18">
                              mdi-check
                            </v-icon>
                            <span
                              class="ml-2 fsize-12 font-weight-medium text-green-500"
                            >
                              Active
                            </span>
                          </div>
                        </v-btn>
                      </div>
                    </div>
                  </v-menu>
                </td>
              </tr>
            </tbody>
            <tfoot v-if="storeList && storeList.length">
              <tr class="!rounded-b-lg">
                <td class="!rounded-b-lg" colspan="9">
                  <div
                    class="h-20 !rounded-b-lg d-flex align-center justify-sm-space-between"
                  >
                    <div
                      id="hideBottomInput"
                      class="d-flex align-center justify-center"
                    >
                      <p class="mb-0 mr-2">Rows per page:</p>
                      <v-select
                        :items="limitItems"
                        dense
                        solo
                        v-model="config.limit"
                        item-value="item"
                        class="px-0"
                        @change="onGetStoreList()"
                        style="max-width: 80px; width: 100%"
                      >
                      </v-select>
                    </div>
                    <div class="text-center">
                      <v-pagination
                        v-model="config.page"
                        :length="totalPage"
                        :total-visible="5"
                        prev-icon="mdi-menu-left"
                        next-icon="mdi-menu-right"
                      ></v-pagination>
                    </div>
                  </div>
                </td>
              </tr>
            </tfoot>
          </template>
        </v-simple-table>
        <div v-else class="my-10 flex justify-center">
          <div>
            <img src="~/assets/images/no-product.png" alt="" height="300px" />
            <p class="mb-0 mt-4 text-center">No store listing yet</p>
          </div>
        </div>
      </template>
    </div>

    <v-row justify="center">
      <v-dialog v-model="dialogPassword" max-width="360">
        <v-card class="pa-0">
          <div
            style="max-width: 384px"
            class="mx-auto pa-4 bg-white rounded-lg ui-card-lock-product"
          >
            <div class="flex justify-center bg-bg-surface rounded-lg pa-5">
              <img
                src="~/assets/images/lock-product.png"
                alt=""
                width="250"
                height="200"
              />
            </div>
            <div class="mt-4">
              <p class="mb-0 text-center text-sm">
                Nếu bạn cần hỗ trợ thì hãy liên hệ với ADMIN qua Telegram
              </p>
            </div>
            <div class="mt-4" id="hideBottomInput">
              <v-text-field
                dense
                outlined
                placeholder="Enter password"
                v-model="password"
                @keyup.enter="onSetPassword"
                :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
                :type="isHidePassword ? 'text' : 'password'"
                @click:append="isHidePassword = !isHidePassword"
              ></v-text-field>
            </div>
            <div class="mt-4 flex justify-center">
              <v-btn
                color="#3B82F6"
                class="elevation-0"
                height="44px"
                @click="onSetPassword()"
              >
                <span class="text-sm font-semibold white--text capitalize">
                  Confirm
                </span>
              </v-btn>
            </div>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</div>
